This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 536539 - (RHQ-879) java.library.path should be appended to in code, not blindly set in scripts
java.library.path should be appended to in code, not blindly set in scripts
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-23 13:46 EDT by John Mazzitelli
Modified: 2014-05-15 17:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-15 17:19:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2008-09-23 13:46:00 EDT
The agent currently sets java.library.path in the rhq-agent.bat/sh scripts.

There is no way for us to keep the OS-default value, short of requiring the user to add the default directly into the script.

We should see if we can stop setting java.library.path via the scripts - instead, we should append to the default java.library.path with the values the agent needs.
Comment 1 Red Hat Bugzilla 2009-11-10 16:18:48 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-879
Comment 2 wes hayutin 2010-02-16 12:08:24 EST
mass add of key word FutureFeature to help track

Note You need to log in before you can comment on or make changes to this bug.